#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
%bcond_without	system_sqlite3	# don't use system sqlite3
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	SQLite
Summary:	DBD::SQLite - Self Contained RDBMS in a DBI Driver (sqlite 3.x)
Summary(pl.UTF-8):	DBD::SQLite - Kompletny RDBMS zawarty w sterowniku DBI (sqlite 3.x)
Name:		perl-DBD-SQLite
Version:	1.50
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBD/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d56eebfb5f2a14be9413b025e7dca9fe
URL:		http://search.cpan.org/dist/DBD-SQLite/
BuildRequires:	perl-DBI >= 1.57
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.663
%{?with_system_sqlite3:BuildRequires:	sqlite3-devel >= 3.6.0}
%if %{with tests}
BuildRequires:	perl-Encode
BuildRequires:	perl-Test-Simple >= 0.86
# needs ENABLE_FTS3_PARENTHESIS
%{?with_system_sqlite3:BuildRequires:	sqlite3 >= 3.8.11.1-2}
%endif
%{?with_system_sqlite3:Requires:	sqlite3 >= 3.6.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# virtual module provided by VirtualTable.pm
%define		_noautoreq_perl	DBD::SQLite::VirtualTable::Cursor

%description
DBD::SQLite is a DBI driver for SQLite database. SQLite is a public
domain RDBMS database engine that you can find at
<http://www.sqlite.org/>.

Rather than ask you to install SQLite first, DBD::SQLite includes the
entire thing in the distribution. So in order to get a fast
transaction capable RDBMS working for your perl project you simply
have to install this module, and nothing else.

To use databases created using older SQLite version (2.x) you should
use perl-DBD-SQLite2 package.

%description -l pl.UTF-8
DBD::SQLite to sterownik DBI do baz danych SQLite. SQLite to silnik
relacyjnych baz danych na licencji public domain. Można go znaleźć pod
adresem <http://www.sqlite.org/>.

DBD::SQLite zawiera w sobie cały silnik bazy danych. Dzięki temu aby
otrzymać działający RDBMS dostępny z poziomu Perla nie trzeba
instalować żadnych innych pakietów.

Aby używać baz danych stworzonych przy pomocy starszej wersji SQLite
(2.x) należy zainstalować pakiet perl-DBD-SQLite2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# honour USE_LOCAL_SQLITE instead of using bundled sqlite3 (see comments inside)
%{__perl} -pi -e 's/if \( 0 \)/if ( 1 )/' Makefile.PL

%build
echo y | %{__perl} Makefile.PL \
	%{!?with_system_sqlite3:USE_LOCAL_SQLITE=1} \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}" \
	OTHERLDFLAGS="%{rpmcflags} %{rpmldflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/DBD/SQLite/{Cookbook,Fulltext_search}.pod
# "sqlite3 amalgamation" sources
%{__rm} -r $RPM_BUILD_ROOT%{perl_vendorarch}/auto/share

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/DBD/SQLite.pm
%{perl_vendorarch}/DBD/SQLite
%dir %{perl_vendorarch}/auto/DBD/SQLite
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/SQLite/SQLite.so
%{_mandir}/man3/DBD::SQLite*.3pm*
%changelog
* Mon Jun 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DBD-SQLite.git;a=log;h=auto/th/perl-DBD-SQLite-1.50-3

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9e3a897
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4043891
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Sun Oct 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ab0fbb
- up to 1.50

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 89d1fac
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> d3553e7
- release 2 (by relup.sh)

* Mon Sep 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 5115f0f
- omit internal DBD::SQLite::VirtualTable::Cursor dependency

* Sun Sep 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 4729dc1
- updated to 1.48

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 7d5a63f
- x32 rebuild
- release 2 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 9b66a26
- up to 1.42

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 33a4cad
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0ae266d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 093a6ba
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 686abd6
- updated to 1.39

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6e9972a
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue Oct 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 0c9bdf3
- updated to 1.37
- core dumping seems no longer valid; default to system sqlite3, added bcond

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 2be436d
- up to 1.35

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> 23f2f46
- Up to 1.31

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 433974c
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 036dbe2
- release 2

* Wed Nov 25 2009 sparky <sparky@pld-linux.org> b3733e1
- BR: perl-Encode for tests
- perl-DBI required even without tests
- use rpmldflags

